# Uses of Class
org.apache.sling.feature.maven.mojos.FeatureSelectionConfig

Packages that use FeatureSelectionConfig
Package
Description
org.apache.sling.feature.maven.mojos

## Uses of FeatureSelectionConfig in org.apache.sling.feature.maven.mojos

Subclasses of FeatureSelectionConfig in org.apache.sling.feature.maven.mojos
Modifier and Type
Class
Description
`class`
`Aggregate`
`class`
`Archive`
Several features can be selected to be put into a single archive
`class`
`Repository`
`class`
`Scan`
Methods in org.apache.sling.feature.maven.mojos with parameters of type FeatureSelectionConfig
Modifier and Type
Method
Description
`protected Map<String,org.apache.sling.feature.Feature>`
AbstractIncludingFeatureMojo.`getSelectedFeatures(FeatureSelectionConfig config)`
Get all selected features for the provided configuration